# mPy - Leds on while buttons pressed on FSK0001
# Copyright by Anthony Vogelaar, Perth Scotland
# revision 0.10  2025-11-26  initial release

from	machine	import	Pin
import	time

# ====================== hardware =======================

pins_led = (25, 26, 27, 14)
pins_btn = (33, 32, 35, 34)

leds = [Pin(pin, Pin.OUT, value=0)    for pin in pins_led]
btns = [Pin(pin, Pin.IN, Pin.PULL_UP) for pin in pins_btn]

# ======================== main =========================

def main():
    while True:
        for led, btn in zip(leds,  btns):
            led(not btn())
        time.sleep_ms(100)
        
        
main()

# ========================= end =========================
